#include <stdio.h>
#include <sys/vfs.h>
#include <errno.h>

main(int argc, char *argv[])
{
	int chk;
	struct statfs fsbuf;

	chk = statfs(argv[1], &fsbuf);
	if(chk) {
		fprintf(stderr, "error %d\n", errno);
	}
	else {
		fprintf(stdout, "\
type                     %ld\n\
block size               %ld\n\
the number of block      %12ld %32lld\n\
the number of free block %12ld %32lld\n\
the number of avaialble free block %12ld %32lld\n\
use%%                     %7.2f%%\n\
use%%                     %7.2f%%\n\
", 
	fsbuf.f_type, fsbuf.f_bsize,
	fsbuf.f_blocks, ((long long)fsbuf.f_blocks * fsbuf.f_bsize),
	fsbuf.f_bfree, 	((long long)fsbuf.f_bfree * fsbuf.f_bsize),
	fsbuf.f_bavail, ((long long)fsbuf.f_bavail* fsbuf.f_bsize),
	(100.0*(fsbuf.f_blocks-fsbuf.f_bfree))/fsbuf.f_blocks,
	(100.0*(fsbuf.f_blocks-fsbuf.f_bfree))/(0.95*fsbuf.f_blocks)
	);


	}

}

