/*
 */

#ifndef _HTTP_H_
#define _HTTP_H_

#define HTTP_SERVPORTNO     (80)
#define HTTP_PROXYPORTNO    (3128)
#define HTTP_PORTNO         HTTP_SERVPORTNO

#define M_UNKNOW    0
#define M_HEAD      1
#define M_GET       2
#define M_POST      3
#define M_OPTION    4
#define M_PUT       5
#define M_DELETE    6
#define M_TRACE     7

int HTTP_find_header_term(char *line, int limit);
int HTTP_parse_version (char *vstr, int *ma, int *mi);

int HTTP_parse_simple_request(char *buf, int *rmethod, char *ur, char *ve);
int HTTP_parse_cachefields(char *buf ,int len ,int *xcachable ,int *xreload);
int HTTP_parse_request_header (char *buf, int *rmethod, char *ur, char *ve, int *xims, int *xcachable, int *xreload);

int HTTP_parse_response_header (char*, int,
        int*, int*, int*, time_t*, time_t*, time_t*, off_t *, int*, int*);
int HTTP_parse_response_code(char *area, int len);

int HTTP_SendIgnoreMessage(int cfd ,int rcode ,char *short_msg ,char *long_msg);
int HTTP_send_image(int ofd, char *ctypestr, int len, char *img);

extern char *MSG_M_[];

#endif /* _HTTP_H_ */
