#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#ifndef MAX
#define MAX(a,b) ((a)>(b) ? (a) : (b))
#endif
#ifndef MIN
#define MIN(a,b) ((a)<(b) ? (a) : (b))
#endif

int primes[] = {
    2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59,
    61, 67, 71, 73, 79, 83, 89, 97, 101, 103, 107, 109, 113, 127,
    131, 137, 139, 149, 151, 157, 163, 167, 173, 179, 181, 191,
    193, 197, 199, 211, 223, 227, 229, 233, 239, 241, 251, 257,
    263, 269, 271, 277, 281, 283, 293,};
int np = sizeof(primes)/sizeof(int);

main(int argc, char *argv[])
{
    int i, j;
    int target;
    int hrange, lrange;
    int v;

#if 0
#if 0
    for(i=0;i<np;i++) {
        printf(" %2d: %2d\n", i, primes[i]);
    }
#endif
    if(argc==1) {
        printf("please specify target number\n");
        printf("  %% %s 256\n", argv[0]);
        exit(41);
    }

    target = atoi(argv[1]);
    hrange = MAX(target+10, target+target/4);
    lrange = MIN(target-10, target-target/4);
    printf("target %d, range %d--%d\n", target, lrange, hrange);

    for(i=0;i<np;i++) {
        for(j=0;j<np;j++) {
            v = primes[i] * primes[j];
            if(v>=lrange && v<=hrange) {
                printf("\t%4d %3d x %3d\n", v, primes[i], primes[j]);
            }
            if(primes[j]>target/2)
                break;
        }
        if(primes[i]>target/2)
            break;
    }
#endif
	for(j=0;j<8;j++) {
		printf("{");
		for(i=0;i<11;i++) {
			printf(" %d,", primes[rand()%np]);
		}
		printf("};\n");
	}

    exit(0);
}
